classification
Title: Update documentation building to use venv and pip
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, docs@python, georg.brandl, python-dev, tshepang
Priority: low Keywords: patch

Created on 2014-09-12 14:37 by brett.cannon, last changed 2014-12-05 20:18 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
doc_venv.diff brett.cannon, 2014-11-28 16:56 review
Messages (5)
msg226821 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-09-12 14:37
Now that we have ensurepip, is there any reason to not have the Doc/ Makefile create a venv for building the docs instead of requiring people to install sphinx into either their global Python interpreter or some venv outside of their checkout? Basically it would be like going back to the old Makefile of checking out the code but instead do a better isolation job and let pip manage fetching everything, updating the projects, etc.
msg231484 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-11-21 17:46
I'm going to at least update the Makefile to have a ``make venv`` that will do the steps necessary to create a venv and then check out the necessary tools. It should also be set up so that running the command with a pre-existing venv will update it. This should all lead to commands like ``make html PYTHON=venv/bin/python3`` to work.
msg231820 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-11-28 16:56
Attached is a patch against Doc/Makefile to add a venv command to create a venv that can be used to build the documentation. Georg, can you give me an LGTM so I can commit this?
msg231822 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-11-28 17:55
Sure.  (The PyPI name is uppercased, but I guess it doesn't matter.)
msg232206 - (view) Author: Roundup Robot (python-dev) Date: 2014-12-05 20:17
New changeset 888103600e72 by Brett Cannon in branch 'default':
Issue #22394: Add a 'venv' command to Doc/Makefile.
https://hg.python.org/cpython/rev/888103600e72
History
Date User Action Args
2014-12-05 20:18:01brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-12-05 20:17:47python-devsetnosy: + python-dev
messages: + msg232206
2014-12-05 14:11:20brett.cannonsetassignee: georg.brandl -> brett.cannon
2014-11-28 17:55:27georg.brandlsetmessages: + msg231822
2014-11-28 16:56:06brett.cannonsetfiles: + doc_venv.diff

assignee: brett.cannon -> georg.brandl

keywords: + patch
nosy: + georg.brandl
messages: + msg231820
stage: needs patch -> patch review
2014-11-21 17:46:47brett.cannonsetassignee: docs@python -> brett.cannon
messages: + msg231484
2014-09-12 23:10:33tshepangsetnosy: + tshepang
2014-09-12 14:37:26brett.cannoncreate